=== debian/changelog ===
youtubedl-gui (1.6-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Depend on system's youtube-dl.
  * Change package to "any".
  * Simplify d/rules and use QT_Select.
  * d/control: get rid of unneccessary BDs and use qtbase5-dev like we are 
    supposed to.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Jan 2021 12:24:13 -0800

youtubedl-gui (1.6-1focal) focal; urgency=medium

  * Initial release - stable version 

 -- Jason Goulet-Lipman (Personal GPG key) <jason.gouletlipman@gmail.com>  Sat, 02 Jan 2021 21:37:41 -0500
