=== debian/control ===
Source: youtubedl-gui
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Jason Goulet-Lipman <jason.gouletlipman@gmail.com>
Build-Depends: debhelper (>= 10),
               qtbase5-dev,
               qtdeclarative5-dev,
Standards-Version: 4.4.1
Homepage: https://github.com/JaGoLi/ytdl-gui

Package: youtubedl-gui
Architecture: any
Depends: ffmpeg,
         gtk-update-icon-cache,
         hicolor-icon-theme,
         ${misc:Depends},
         ${shlibs:Depends},
          youtube-dl
# Recommends: ubuntu-restricted-addons
Description: Download Youtube videos to local audio or video files.
 Download Youtube videos to local audio or video files. The package name is
 unfortunately similar to the unrelated youtube-dl-gui.
