=== debian/changelog ===
youtubedl-gui (2.5-1) unstable; urgency=low

  * Initial release. (Closes: #988031)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 May 2021 20:00:27 +0100
