=== debian/control ===
Source: youtubedl-gui
Section: web
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: cmake, debhelper-compat (= 13),
	qtbase5-dev, qtdeclarative5-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/JaGoLi/ytdl-gui
Vcs-Git: https://salsa.debian.org/debian/ytdl-gui.git
Vcs-Browser: https://salsa.debian.org/debian/ytdl-gui

Package: youtubedl-gui
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, youtube-dl
Description: GUI on youtube-dl to download videos from a variety of sites
 Graphical interface to youtube-dl, the CLI for downloading videos
 from a variety of sites. Allows control of format, resolution, audio
 and video codecs, etc.
