=== debian/changelog ===
youtubedl-gui (3.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:41:09 +1100

youtubedl-gui (3.0-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:33:33 +0000

youtubedl-gui (3.0-2) unstable; urgency=medium

  [ Andres Salomon ]
  * Replace depends on youtube-dl with yt-dlp and update package description
    (closes: #1024214).

  [ Barak A. Pearlmutter ]
  * Bump policy and gbp import/export patch

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 17 Nov 2022 09:21:59 +0000

youtubedl-gui (3.0-1) unstable; urgency=medium

  * Bump policy
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Sep 2021 11:10:07 +0100
