=== debian/control ===
Source: youtubedl-gui
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: cmake, debhelper-compat (= 13),
	qtbase5-dev, qtdeclarative5-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/JaGoLi/ytdl-gui
Vcs-Git: https://salsa.debian.org/debian/ytdl-gui.git
Vcs-Browser: https://salsa.debian.org/debian/ytdl-gui

Package: youtubedl-gui
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, yt-dlp
Description: GUI on yt-dlp (ie, youtube-dl) to download videos from a variety of sites
 Graphical interface to yt-dlp, the CLI for downloading videos
 from a variety of sites. Allows control of format, resolution, audio
 and video codecs, etc.
