=== debian/watch ===
Version: 5

Template: Github
Owner: impromptux
Project: ytdl-gui
Uversion-Mangle: s/-?(a|alpha|b|beta|c|dev|pre|rc)/~$1/
