## youtubedl-gui 4.4.1

=== debian/changelog ===
youtubedl-gui (4.4.1-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 25 Feb 2026 12:31:32 +0000
