## youtubedl-gui 4.4.2

=== debian/changelog ===
youtubedl-gui (4.4.2-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 Mar 2026 15:41:39 +0000
